class FakePlayer:
    def __init__(self):
        self.curr_pos = 0.0

    def seek(self, pos):
        self.curr_pos = float(pos)

    def add(self, num):
        self.curr_pos += num

    def play(self):
        ...

    def stop(self):
        ...

